API ReferencePublic
Get Stop Report
Get stop report.
Authorization
bearerAuth superuserAuthorization<token>
In: header
Scope: superuser
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
Try it live
curl -X POST "https://example.com/v1/public/reports/stops" \ -H "Content-Type: application/json" \ -d '{}'{ "totalCount": 0.1, "totalPages": 0.1, "currentPage": 0.1, "stops": [ { "classification": { "description": "string", "generalCause": { "name": "string", "id": "string" }, "specificCause": { "name": "string", "id": "string" }, "component": { "name": "string", "id": "string" }, "updatedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "id": 0.1 }, "company": { "name": "string", "id": 0.1 }, "machine": { "name": "string", "id": 0.1 }, "shift": { "isActive": true, "endTime": "2019-08-24T14:15:22Z", "startTime": "2019-08-24T14:15:22Z", "name": "string", "id": 0.1 }, "stop": { "durationInMinutes": 0.1, "deletedAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "isManual": true, "isIncludedInStops": true, "isIncludedInAvailability": true, "isProgrammed": true, "endTime": "2019-08-24T14:15:22Z", "startTime": "2019-08-24T14:15:22Z", "name": "string", "id": 0.1 } } ]}